# Class: Line

## Line()

#### new Line()

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`layout.style` | object | <optional> |  | CSS properties to control how the line is drawn ###### Properties
Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`fill` | string | <optional> | 'none' | Fill color for the area under the curve
`stroke` | string | <optional> |  |
`stroke-width` | string | <optional> | '2px' |
`layout.interpolate` | string | <optional> | 'curveLinear' | The name of the d3 interpolator to use. This determines how to smooth the line in between data points.
`layout.hitarea_width` | number | <optional> | 5 | The size of mouse event hitareas to use. If tooltips are not used, hitareas are not very important.

Source:
  - components/data_layer/line.js, line 38

### Methods

#### render()

Implement the main render function

Source:
  - components/data_layer/line.js, line 49

#### setElementStatus(status, element, toggle)

Redefine setElementStatus family of methods as line data layers will only ever have a single path element

##### Parameters:

Name | Type | Description
--- | --- | ---
`status` | String | A member of `LocusZoom.DataLayer.Statuses.adjectives`
`element` | String | Object |
`toggle` | Boolean |

Source:
  - components/data_layer/line.js, line 100